Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class SOBindingImpl

    java.lang.Object
      de.grogra.util.StringMap
          de.grogra.persistence.SOBindingImpl

All Implemented Interfaces:
  SharedObjectProvider.Binding, Map, ModifiableMap, java.io.Serializable

    public class SOBindingImpl

extends StringMap
implements SharedObjectProvider.Binding

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.util.ModifiableMap
`ModifiableMap.Producer`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`protected SharedObjectProvider.Binding` | `parentBinding`
`protected SharedObjectProvider.Binding` | `wrappedBinding`

Fields inherited from class de.grogra.util.StringMap
`TYPE`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`SOBindingImpl(SharedObjectProvider.Binding parentBinding, SharedObjectProvider.Binding wrappedBinding)`

Method Summary
`static SOBindingImpl` | `getInstance(SharedObjectProvider.Binding parent)`
`SharedObjectProvider` | `lookup(java.lang.String name)`

Methods inherited from class de.grogra.util.StringMap
`clear, containsKey, containsKey, disposeValuesAndClear, dup, findIndex, findIndex, findIndex, get, get, get, getBoolean, getBoolean, getByte, getByte, getChar, getChar, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getKeyAt, getKeys, getLong, getLong, getObject, getObject, getShort, getShort, getString, getValueAt, getValues, isEmpty, main, put, put, putBoolean, putByte, putChar, putDouble, putFloat, putInt, putLong, putObject, putShort, remove, removeAt, setValueAt, size, synchronizedGet, synchronizedPut, synchronizedRemove, toMap, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parentBinding

    protected final SharedObjectProvider.Binding parentBinding

### wrappedBinding

    protected final SharedObjectProvider.Binding wrappedBinding

Constructor Detail

### SOBindingImpl

    public SOBindingImpl(SharedObjectProvider.Binding parentBinding,
                         SharedObjectProvider.Binding wrappedBinding)

Method Detail

### getInstance

    public static SOBindingImpl getInstance(SharedObjectProvider.Binding parent)

### lookup

    public SharedObjectProvider lookup(java.lang.String name)

  Specified by:
    `lookup` in interface `SharedObjectProvider.Binding`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD